Bug 524603 - After updating xorg-x11-server-*, laptop backlight switches off
After updating xorg-x11-server-*, laptop backlight switches off
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-21 09:06 EDT by Nils Philippsen
Modified: 2015-01-14 18:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:46:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log (131.87 KB, text/plain)
2009-09-21 09:06 EDT, Nils Philippsen
no flags Details
/etc/X11/xorg.conf (2.35 KB, text/plain)
2009-09-21 09:08 EDT, Nils Philippsen
no flags Details
Xorg.0.log from LT20 laptop (67.14 KB, text/plain)
2009-09-23 22:56 EDT, Luya Tshimbalanga
no flags Details

  None (edit)
Description Nils Philippsen 2009-09-21 09:06:48 EDT
Created attachment 361926 [details]
/var/log/Xorg.0.log

Description of problem:
After updating xorg-x11-server-* components, the backlight of my laptop's internal display switches off after some time (~10-20 minutes), regardless of keyboard or mouse activity. It doesn't switch on after such activity as well.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xvfb-1.6.4-0.1.fc11
xorg-x11-server-Xnest-1.6.4-0.1.fc11
xorg-x11-server-Xorg-1.6.4-0.1.fc11
xorg-x11-server-common-1.6.4-0.1.fc11

How reproducible:
Reproducible.

Steps to Reproduce:
1. Update to the versions above.
2. Boot up laptop, log into gnome
3. Do something for a while
  
Actual results:
Backlight switches off after a while, can only be restored with:

$ xrandr --output LVDS1 --off
$ xrandr --output LVDS1 --auto

After a while, it switches off again.

Expected results:
Backlight doesn't switch off.

Additional info:
The external monitor which is attached to output DVI1 (and mirrors the display of the internal display LVDS1) doesn't have this problem.
Comment 1 Nils Philippsen 2009-09-21 09:08:09 EDT
Created attachment 361928 [details]
/etc/X11/xorg.conf
Comment 2 Nils Philippsen 2009-09-21 09:09:56 EDT
BTW, the laptop is a Dell Latitude D830 with an internal Intel graphics adapter:

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c) (prog-if 00 [VGA controller])
        Subsystem: Dell Device 01fe
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 28
        Region 0: Memory at f6e00000 (64-bit, non-prefetchable) [size=1M]
        Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Region 4: I/O ports at efe8 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
                Address: fee0200c  Data: 41a1
        Capabilities: [d0] Power Management version 3
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
                Bridge: PM- B3+
        Kernel driver in use: i915
        Kernel modules: i915
Comment 3 Nils Philippsen 2009-09-21 10:02:25 EDT
I just measured that it takes exactly 10 minutes from waking up the display with "xrandr" as described above to the display backlight being switched off again. Someone suggested to me that gnome-power-manager might throw spanners in here, but it wasn't even running at the time and is configured to let the display sleep after 30 mins (AC) or 5 mins (battery), respectively.
Comment 4 Nils Philippsen 2009-09-21 11:16:29 EDT
Hmm, the problem might be not related to X after all, a colleague had the same problem when booting into text mode. I'm a bit puzzled about the culprit because I saw the problem only after updating to these packages and then rebooting:

bubbros-1.6-5.fc11                            Sun 20 Sep 2009 11:56:45 AM CEST
xorg-x11-server-Xvfb-1.6.4-0.1.fc11           Sat 19 Sep 2009 10:57:44 PM CEST
xscreensaver-extras-gss-5.10-1.fc11           Sat 19 Sep 2009 10:57:42 PM CEST
xorg-x11-server-Xnest-1.6.4-0.1.fc11          Sat 19 Sep 2009 10:57:40 PM CEST
xscreensaver-gl-extras-gss-5.10-1.fc11        Sat 19 Sep 2009 10:57:39 PM CEST
xscreensaver-5.10-1.fc11                      Sat 19 Sep 2009 10:57:39 PM CEST
pciutils-devel-3.1.4-2.fc11                   Sat 19 Sep 2009 10:57:38 PM CEST
kdenetwork-devel-4.3.1-2.fc11                 Sat 19 Sep 2009 10:57:36 PM CEST
tzdata-java-2009m-1.fc11                      Sat 19 Sep 2009 10:57:30 PM CEST
xorg-x11-server-Xorg-1.6.4-0.1.fc11           Sat 19 Sep 2009 10:57:27 PM CEST
tzdata-2009m-1.fc11                           Sat 19 Sep 2009 10:57:14 PM CEST
xorg-x11-server-common-1.6.4-0.1.fc11         Sat 19 Sep 2009 10:57:08 PM CEST
libv4l-devel-0.6.1-1.fc11                     Sat 19 Sep 2009 10:57:08 PM CEST
gnome-settings-daemon-2.26.1-10.fc11          Sat 19 Sep 2009 10:56:35 PM CEST
util-linux-ng-2.14.2-11.fc11                  Sat 19 Sep 2009 10:55:49 PM CEST
kdenetwork-4.3.1-2.fc11                       Sat 19 Sep 2009 10:55:28 PM CEST
chromium-4.0.212.0-0.1.20090916svn26424.fc11  Sat 19 Sep 2009 10:55:14 PM CEST
smartmontools-5.38-13.fc11                    Sat 19 Sep 2009 10:55:04 PM CEST
libcap-ng-0.6.1-1.fc11                        Sat 19 Sep 2009 10:55:03 PM CEST
pciutils-3.1.4-2.fc11                         Sat 19 Sep 2009 10:55:02 PM CEST
xscreensaver-gl-extras-5.10-1.fc11            Sat 19 Sep 2009 10:54:56 PM CEST
xscreensaver-gl-base-5.10-1.fc11              Sat 19 Sep 2009 10:54:52 PM CEST
xscreensaver-extras-5.10-1.fc11               Sat 19 Sep 2009 10:54:43 PM CEST
v8-1.3.11-1.20090916svn2903.fc11              Sat 19 Sep 2009 10:54:34 PM CEST
xscreensaver-base-5.10-1.fc11                 Sat 19 Sep 2009 10:54:29 PM CEST
pciutils-libs-3.1.4-2.fc11                    Sat 19 Sep 2009 10:54:28 PM CEST
kdenetwork-libs-4.3.1-2.fc11                  Sat 19 Sep 2009 10:54:26 PM CEST
libv4l-0.6.1-1.fc11                           Sat 19 Sep 2009 10:54:22 PM CEST

To my naïve eyes, not many of these should be contributing to the issue...
Comment 5 Matěj Cepl 2009-09-21 12:58:38 EDT
Oh, yes, xscreensaver. Throwing the bug there.
Comment 6 Mamoru TASAKA 2009-09-21 13:13:31 EDT
(In reply to comment #4)
> xscreensaver-extras-gss-5.10-1.fc11           Sat 19 Sep 2009 10:57:42 PM CEST
> xscreensaver-gl-extras-gss-5.10-1.fc11        Sat 19 Sep 2009 10:57:39 PM CEST

Umm...
Comment 7 Nils Philippsen 2009-09-22 04:29:42 EDT
(In reply to comment #5)
> Oh, yes, xscreensaver. Throwing the bug there.  

I don't use the xscreensaver hacks. If gnome-screensaver kicks in, it shows the floating fedora hack. Nevertheless, the screensaver shouldn't be active (and isn't on the external display). The backlight stays switched off when changing to a VT text console. At this point, I don't have a real idea what could cause this...
Comment 8 Luya Tshimbalanga 2009-09-23 22:56:32 EDT
Created attachment 362379 [details]
Xorg.0.log from LT20 laptop

I have similar issue except the backlight setting is off after suspend/resume.
Comment 9 Bug Zapper 2010-04-28 06:30:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 10:46:06 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.